
From: Daniel Dickman <didickman@yahoo.com>

Signed-off-by: Daniel Dickman <didickman@yahoo.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-m32r/bug.h |   22 ++--------------------
 1 files changed, 2 insertions(+), 20 deletions(-)

diff -puN include/asm-m32r/bug.h~m32r-use-generic-bugh include/asm-m32r/bug.h
--- 25/include/asm-m32r/bug.h~m32r-use-generic-bugh	2005-03-07 20:41:32.000000000 -0800
+++ 25-akpm/include/asm-m32r/bug.h	2005-03-07 20:41:32.000000000 -0800
@@ -1,22 +1,4 @@
 #ifndef _M32R_BUG_H
 #define _M32R_BUG_H
-
-#define BUG()	do { \
-	printk("kernel BUG at %s:%d!\n", __FILE__, __LINE__); \
-} while (0)
-
-#define PAGE_BUG(page)	do { BUG(); } while (0)
-
-#define BUG_ON(condition) \
-	do { if (unlikely((condition)!=0)) BUG(); } while(0)
-
-#define WARN_ON(condition) do { \
-	if (unlikely((condition)!=0)) { \
-		printk("Badness in %s at %s:%d\n", __FUNCTION__, \
-		__FILE__, __LINE__); \
-		dump_stack(); \
-	} \
-} while (0)
-
-#endif /* _M32R_BUG_H */
-
+#include <asm-generic/bug.h>
+#endif
_
